<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>
    <a href="#test" style="display: block; text-decoration: none;">
        Click me!
    </a>
    <div style="margin-top: 1000px; height: 100vh" id="test">
        You clicked the link
    </div>
</body>

</html>